Oauth-Providers
Endpoints for Oauth-Providers
Endpoints for Oauth-Providers
GET/api/v1/setting/oauth-providers
Authentication: Bearer token (JWT)
idstringRequired when parent is presentclientIdstringRequired when parent is presentclientSecretstringRequired when parent is presentnamestringRequired when parent is presentenabledbooleanRequired when parent is present[
{
"id": "string",
"clientId": "string",
"clientSecret": "<clientSecret>",
"name": "string",
"enabled": true
}
]unauthorized
This response has no body.
forbiddenResource
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorscurlcurl https://api.subrite.no/api/v1/setting/oauth-providers \
--header 'Authorization: Bearer <token>'POST/api/v1/setting/oauth-providers
Authentication: Bearer token (JWT)
application/jsonnamestringRequiredclientIdstringRequiredclientSecretstringRequiredenabledGET/api/v1/setting/oauth-providers/{id}
Authentication: Bearer token (JWT)
idstring (uuid)RequiredPUT/api/v1/setting/oauth-providers/{id}
Authentication: Bearer token (JWT)
idstring (uuid)Requiredapplication/jsonNo named fields are defined for this schema.
DELETE/api/v1/setting/oauth-providers/{id}
Authentication: Bearer token (JWT)
idstring (uuid)RequiredfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}boolean{
"name": "string",
"clientId": "string",
"clientSecret": "<clientSecret>",
"enabled": true
}idstringRequiredclientIdstringRequiredclientSecretstringRequirednamestringRequiredenabledbooleanRequired{
"id": "string",
"clientId": "string",
"clientSecret": "<clientSecret>",
"name": "string",
"enabled": true
}Body validation failed, or the tenant already has a provider with this name
messageCodestringRequired"badRequest", "oauthProviderAlreadyExists"messagestringunauthorized
This response has no body.
forbiddenResource
Same fields as Get all oauth providers of a tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/setting/oauth-providers \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"clientId": "string",
"clientSecret": "<clientSecret>",
"enabled": true
}'OauthProviderResponseDtoSame fields as Create a new oauth provider (201).
{
"id": "string",
"clientId": "string",
"clientSecret": "<clientSecret>",
"name": "string",
"enabled": true
}The id is not a uuid
messageCodestringRequired"badRequest"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all oauth providers of a tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}oauthProviderNotFound
messageCodestringRequired"oauthProviderNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "oauthProviderNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/setting/oauth-providers/{id}' \
--header 'Authorization: Bearer <token>'{}Same fields as Create a new oauth provider (201).
{
"id": "string",
"clientId": "string",
"clientSecret": "<clientSecret>",
"name": "string",
"enabled": true
}Body validation failed, the id is not a uuid, or the new name is already taken
Same fields as Create a new oauth provider (400).
unauthorized
This response has no body.
forbiddenResource
Same fields as Get all oauth providers of a tenant (403).
oauthProviderNotFound
Same fields as Get an oauth provider by id (404).
curlcurl 'https://api.subrite.no/api/v1/setting/oauth-providers/{id}' \
--request PUT \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'booleanNo named fields are defined for this schema.
trueThe id is not a uuid
Same fields as Get an oauth provider by id (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all oauth providers of a tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}oauthProviderNotFound
Same fields as Get an oauth provider by id (404).
{
"messageCode": "oauthProviderNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/setting/oauth-providers/{id}' \
--request DELETE \
--header 'Authorization: Bearer <token>'errorsarray of FieldErrorRequirederrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "oauthProviderNotFound",
"message": "string",
"errors": [
{}
]
}